Subject: Re: [idn] Report from the ACE design team

From: "Soobok Lee" <[email-masked]>
Date: Wed, 27 Jun 2001 11:38:12 +0900

----- Original Message -----
From: "Kenneth Whistler" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, June 27, 2001 11:26 AM
Subject
> And even if you might be able to point, perhaps, to some
> Chinese government plan to require domain name registrations
> using some bureaucratic scheme of province/city/district/xiang/business-type
> naming, as Liana Ye has alluded to, that doesn't mean that people
> will actually want to use such 15 character monstrosities or
> won't demand some shorter way to deal with them. Why would people
> want to type 40 - 60 keystrokes in their input method to
> use such an IDN, when they might be able to get to the same
> place with "xyz.cn" already?
>
> > --Ken
>

I believe long natural sentence/phrase domains escape your arguments.

In CJK, "What is the nearest macdonald hamberger shop from here?".(kr|cn|jp|tw)
domain
may  raise interests and easier to remember and that was not possible
with LDH domains  for CJK peoples.

.kr .cn .jp domain suffices may be omitted in future localized web browsers, and
it will make japanese and chinese sentence domains good for PR marketing.

I think it is safe for us to leave much rooms for these creative naming
conventions
in our ACE proposals for the future.

Soobok Lee

---

From: Kenneth Whistler <[email-masked]>
Date: Tue, 26 Jun 2001 19:26:08 -0700 (PDT)

Soobok Lee wrote:

> > > what makes you think that this
> > > particular organization would insist on registering a domain name
> > > with all 19 Hangul syllables (or actually 21 characters, including
> > > accounting for the two spaces in the name), rather than some
> > > shorter and easier to use and remember abbreviation, comparable
> > > to their already existing www.stims.or.kr registration?
> > > 
> >  
> > Unlike in German and French using Latin characters sets,
> > In korean (hangul) , Japanese and Chineses, it is not easy to
> > make leading alphabet acronyms because of syllabic nature
> > of those languages.

I'm aware of that. For Japanese, at least, that doesn't stop people
from actively coining abbreviations to make long, officious
names more usable: Tookyoo Daigaku ("Tokyo University") ==> Toodai
(literally "East-Big"); the high school I attended briefly
in Japan was officially named Kansei Gakuin Kootoobu, but everybody
just called it Kansei Kookoo, and so on. I'm willing to bet that
for Korean as well, people aren't generally going to use some
official 19-syllable name when they could get by with some 3-
to 5-syllable shortened name instead. They certainly aren't going
to think anybody is doing them any favors if they have to type
in all 19 syllables for a domain name.

> 
> moreover, if  registrants WANT to register long hangul domains,
> we (engineers and NICs) should FOLLOW their needs.
> We have no rights and no reason and no authorities to reject
> needs  as long as the domain  technology allows.

Assertion that there are long organization names is not a
demonstration that there is a practical need or desire to
register such long names.

Further, accomodation of long names for domains is only part of the
design criteria for an effective ACE. While good compression
for an ACE *should* be a criterion, to provide decent handling
of long names for all scripts, it cannot be taken as the
overriding, all-important criterion. If you go that route,
then you would be led to embrace the unbounded complexity of
something like the StepCode proposal, which shortens the ASCII
forms by using transliteration schemes, rather than a simple
algorithm for a compressed reencoding of the character values.

--Ken